summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRubin Simons <rubin.simons@raaftech.com>2016-03-24 16:16:16 +0100
committerPatrice Clement <monsieurp@gentoo.org>2016-03-25 09:33:06 +0000
commit66222ee9d0facf6f9718780fbdc97633e1e13d8f (patch)
tree591f4733de279e260dc26c8a820203bd7b4b8cdf /x11-wm/lumina/lumina-0.8.8_p1.ebuild
parentsys-apps/iproute2: arm stable, bug #576618 (diff)
downloadgentoo-66222ee9d0facf6f9718780fbdc97633e1e13d8f.tar.gz
gentoo-66222ee9d0facf6f9718780fbdc97633e1e13d8f.tar.bz2
gentoo-66222ee9d0facf6f9718780fbdc97633e1e13d8f.zip
x11-wm/lumina: add lumina to the tree.
Lumina is a lightweight Desktop Environment. Gentoo-Bug: https://bugs.gentoo.org/578114 Reporter: Rubin Simons <rubin.simons@raaftech.com> Closes: https://github.com/gentoo/gentoo/pull/1126 Package-Manager: portage-2.2.26 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'x11-wm/lumina/lumina-0.8.8_p1.ebuild')
-rw-r--r--x11-wm/lumina/lumina-0.8.8_p1.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/x11-wm/lumina/lumina-0.8.8_p1.ebuild b/x11-wm/lumina/lumina-0.8.8_p1.ebuild
new file mode 100644
index 00000000000..fbc0e74602a
--- /dev/null
+++ b/x11-wm/lumina/lumina-0.8.8_p1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit qmake-utils vcs-snapshot
+
+COMMIT_ID="248abdd"
+DESCRIPTION="Lumina desktop environment"
+HOMEPAGE="http://lumina-desktop.org/"
+SRC_URI="https://github.com/pcbsd/lumina/archive/${COMMIT_ID}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-qt/linguist-tools:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ x11-libs/libxcb:0
+ x11-libs/xcb-util
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-wm"
+
+RDEPEND="${DEPEND}
+ kde-frameworks/oxygen-icons
+ x11-misc/numlockx
+ x11-wm/fluxbox
+ x11-apps/xbacklight
+ media-sound/alsa-utils
+ sys-power/acpi
+ app-admin/sysstat"
+
+src_configure(){
+ eqmake5 PREFIX="${ROOT}usr" L_ETCDIR="${ROOT}etc" LIBPREFIX="${ROOT}usr/$(get_libdir)" DESTDIR="${D}" CONFIG+="NO_I18N"
+}
+
+src_install(){
+ default
+ mv "${D}"/etc/luminaDesktop.conf.dist "${D}"/etc/luminaDesktop.conf || die
+ mv "${D}"/?umina-* "${D}"/usr/bin || die
+}